%define name oracle-validated
%define version 1.0.0
%define release 18.el4

Summary: Verifies and sets system parameters based on Oracle validated configuration recommendations for OEL4
Name: %{name}
Version: %{version}
Release: %{release}
Group: Test Environment/Libraries
License: GPL
Vendor:Oracle
Source: %{name}-%{version}.tar.gz
Patch0:%{name}-%{version}-11g.patch
Patch1:%{name}-%{version}-hangcheck.patch
Patch2:%{name}-%{version}-awk-fixes.patch
Patch3:%{name}-%{version}-miscellaneous-fixes.patch
Provides: %{name} = %{version}

PreReq:/etc/redhat-release

Requires:procps module-init-tools ethtool initscripts bc
Requires:binutils  gcc gcc-c++ glibc-common  glibc-headers glibc-kernheaders  gnome-libs gdb libaio-devel make pdksh sysstat  elfutils-libelf-devel unixODBC-devel xorg-x11-tools
Requires:fontconfig >= 2.2.3-7.0.1

%ifarch i386 i486 i586 i686
Requires:compat-db compat-libstdc++-33 glibc glibc-devel libgcc libstdc++ libstdc++-devel libaio setarch xorg-x11-deprecated-libs unixODBC 
%endif

%ifarch x86_64
Requires:libdb.so.3()(64bit) libstdc++.so.5()(64bit) libstdc++.so.5 libstdc++.so.5()(64bit) libc.so.6 libc.so.6()(64bit) /usr/lib/libc.so /usr/lib64/libc.so libgcc_s.so.1 libgcc_s.so.1()(64bit) libstdc++.so.6 libstdc++.so.6()(64bit) /usr/lib/gcc/x86_64-redhat-linux/3.4.3/libstdc++.a /usr/lib/libaio.so.1 libaio.so.1()(64bit) libXp.so.6 libodbc.so.1()(64bit) 
%endif 


BuildRoot: %{_builddir}/%{name}-%{version}-root

%description
This package verifies and sets system parameters based on Oracle validated configuration recommendations for Oracle Enterprise Linux Release 4
Files affected: /etc/sysctl.conf, /etc/security/limits.conf, /etc/modprobe.conf, /boot/grub/menu.lst. 
For changes to modules, this package installation will modify module paramters and re-insert.

%prep
echo RPM_BUILD_ROOT=$RPM_BUILD_ROOT
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/%{name}
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/bin
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 oracle-validated-verify $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install -m 755 oracle-validated-verify $RPM_BUILD_ROOT/usr/bin
install -m 644 oracle-validated.params $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install -m 755 oraclevalidated $RPM_BUILD_ROOT/etc/rc.d/init.d

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -d /etc/sysconfig/%{name} ]; then
  rm -rf /etc/sysconfig/%{name} 2> /dev/null
fi

%post
ln -f -s /etc/sysconfig/%{name}/oracle-validated-verify /usr/bin/oracle-validated-verify 2> /dev/null;
/usr/bin/oracle-validated-verify 2> /dev/null 1>&2

if ! [ -f /etc/sysconfig/oracle-validated/oracle-validated.conf ]; then
        chkconfig --add oraclevalidated
fi

%preun
if [ "$1" = "0" ] ; then # last uninstall
 chkconfig --del oraclevalidated

 if [ -x /usr/bin/oracle-validated-verify ]; then
   /usr/bin/oracle-validated-verify -u 2> /dev/null 1>&2
 fi
fi

%postun
if [ "$1" = "0" ] ; then # last uninstall
 if [ -d /etc/sysconfig/%{name} ]; then
   rm /usr/bin/oracle-validated-verify 2> /dev/null
   rm -rf /etc/sysconfig/%{name} 2> /dev/null
 fi
 if [ -d /var/log/%{name} ]; then
   rm -rf /var/log/%{name} 2> /dev/null
 fi
fi

%files
%defattr(-,root,root)
%config /etc/sysconfig/%{name}/oracle-validated.params
/etc/sysconfig/%{name}/oracle-validated-verify
/usr/bin/oracle-validated-verify
/etc/rc.d/init.d/oraclevalidated


%changelog
* Tue Mar 17 2009 Bhanu Prakash    <bhanuprakash.bodireddy@oracle.com>
      - Set stack's hard limit to 32MB on X86 Architectures.
      - Removed enterprise-release package dependency and added /etc/redhat-release file dependency to support RHEL 
      - Moved oracle-validated log location to /var/log from /etc/sysconfig directory
      - Encrypted oracle user account password.
      - Added oraclevalidated service to fix issue related to boot parameter modification during oracle-validated selectedfrom iso.
* Fri Jan 23 2009 Bhanu Prakash    <bhanuprakash.bodireddy@oracle.com>
      - Modified License of oracle-validated to GPL from oracle
* Mon Dec 17 2008 Bhanu Prakash    <bhanuprakash.bodireddy@oracle.com>
      - Modifed patch oracle-validated-1.0.0-miscellaneous-fixes.patch to remove PAM settings, Fixed issue related to numa=off setting on x86_64 AMD machines.
* Mon Dec 04 2008 Bhanu Prakash    <bhanuprakash.bodireddy@oracle.com>
      - Modifed patch oracle-validated-1.0.0-miscellaneous-fixes.patch to include PAM settings,shmax,shmall settings and change in oracle group.
* Thu Oct 10 2008 Bhanu Prakash    <bhanuprakash.bodireddy@oracle.com>
      - Added patch oracle-validated-1.0.0-miscellaneous-fixes.patch for shmmax, shmall values, error handling of code.
* Thu Jul 24 2008 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added patch oracle-validated-1.0.0-awk-fixes.patch for minor fixes in config file changes
      - Removed control-center and xscreensaver dependency
      - Added bc package dependency as oracle-validated depends on it
* Thu Jul 15 2008 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added patch oracle-validated-1.0.0-hangcheck.patch to remove hangcheck-timer related functionality
      - Added gdb package dependency
* Mon Jan 29 2008 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added xorg-x11-tools dependency in spec file for 11g support over minimum el4 install
* Mon Dec 24 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added libaio and libstdc++ 32 bit dependency in spec file for 11g support
      - Fixed parsing issue with RC edited sysctl file and 11g kernel param change in 11g patch
* Thu Aug 20 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added enterprise-release dependency to fix el4/5 cross install issue
* Thu Aug 1 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Removed root from install steps in spec file for mock build
* Thu Jul 31 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Replaced Copyright tag with License in spec file 
* Thu Jul 19 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added unixODBC and unixODBC-devel dependencies
      - Fixed shmmax issue with 32 bit machines with large RAM
* Thu Feb 27 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added fontconfig >= 2.2.3-7.0.1 fontconfig md5 sum issue fixed in this version
      - Changed release name to 3.el4
* Thu Feb 20 2007 Srinivas Maturi  <srinivas.maturi@oracle.com>
      - Bumped the release number from 2 to 3
* Thu Feb 20 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Incorporated i386 compat-libstdc++-33 dependency
      - Added elfutils-libelf-devel to dependency list
* Thu Feb 20 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Fix for cross arch dependency bug 2115
      - Suppress insmod output during install. redirect to logfile
      - Add Vendor tag to RPM spec
      - Moved rollback of config file changes during uninstall from spec file to script 
